Bug 174360 - Feature req.: "lilo -R" for grub - set boot option for next reboot only
Feature req.: "lilo -R" for grub - set boot option for next reboot only
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
http://savannah.gnu.org/bugs/?func=de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 09:43 EST by James Baum
Modified: 2008-03-09 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Baum 2005-11-28 09:43:26 EST
From Bugzilla Helper:
User-Agent: Opera/8.5 (X11; Linux i686; U; en)

Description of problem:
On a multi-boot system it is nice to be able to say
"lilo -R 'image'; reboot"
This is not possible with the shipped version of grub.

This is described and fixed in
http://savannah.gnu.org/bugs/?func=detailitem&item_id=1241
--- QUOTE FROM lilo(8) man page ---
-R command line
This option sets the default command for the boot loader the next time it 
executes. The boot loader will then erase this
line: this is a once-only command. It is typically used in reboot scripts, just 
before calling `shutdown -r'. Used without any arguments, it will cancel a lock-
ed or fallback command line.
--- END OF QUOTE ---


Version-Release number of selected component (if applicable):
grub-0.95-13

How reproducible:
Always

Steps to Reproduce:
n/a

Additional info:

This appears to have been fixed in CVS. I have not tried or tested it, but it 
seems easy enough to get a newer version.
Comment 1 Sorin Sbarnea 2006-12-14 12:51:29 EST
This would be very useful for any kernel upgrade. I would suggest even that
after a kernel upgrade if the boot fails to fallback to the las know good config.
Comment 2 Christian Iseli 2007-01-22 05:57:29 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-09 21:07:39 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.